## syslinux 4.03+dfsg

=== debian/changelog ===
syslinux (2:4.03+dfsg-drbl1) unstable; urgency=low

  * Non-maintainer uploaded.
  * Recompiled on Debian Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Apr 2011 21:55:53 +0800

syslinux (2:4.03+dfsg-12) unstable; urgency=low

  * Updating defaults for default boot entry (Closes: #613054).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Feb 2011 00:39:01 +0100

syslinux (2:4.03+dfsg-11) unstable; urgency=low

  * Adding missing echo in readlink call of extlinux postinst (Closes:
    #612259).
  * Shortening apt-get call for install syslinux-themes in readme.
  * Adding note about requirement of the bootable flag in extlinux
    readme (Closes: #612693).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 12 Feb 2011 21:14:58 +0100

syslinux (2:4.03+dfsg-10) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makeing packaging distribution neutral.
  * Shortening instructions in extlinux readme file regarding theme
    packages.
  * Translate UUID to classic device names in extlinux postinst script
    when calling extlinux-installer, thanks to Fabian Greffrath
    <fabian@greffrath.com> (Closes: #610604).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 06 Feb 2011 08:38:40 +0100

syslinux (2:4.03+dfsg-9) experimental; urgency=low

  * Making directory where to look for memdisk images configurable
    (Closes: #610389).
  * Correcting quoting of os-proper support in extlinux-update (Closes:
    #610537).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 19 Jan 2011 18:24:21 +0100

syslinux (2:4.03+dfsg-8) experimental; urgency=low

  * Adding Brazilian-Portuguese debconf translations from Adriano Rafael
    Gomes <adrianorg@gmail.com> (Closes: #610412).
  * Applying slightly modified patch from Fabian Greffrath
    <fabian@greffrath.com> to add support for os-prober in extlinux-
    update.
  * Updating some variable names in extlinux-update a bit.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 19 Jan 2011 09:51:36 +0100

syslinux (2:4.03+dfsg-7) experimental; urgency=low

  * Adding patch from upstream to fix regression with pxelinux and gpxe
    with qemu, thanks to Gene Cumm <gene.cumm@gmail.com> (Closes:
    #592875).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 08 Jan 2011 17:18:54 +0100

syslinux (2:4.03+dfsg-6) experimental; urgency=low

  * Updating extlinux-udpate manpage to reflect current default for
    extlinux entries.
  * Unconditionally default to true for extlinux memdisk option in
    extlinux-update.
  * Updating entry about extlinux timeout in extlinux-update manpage for
    consistency.
  * Removing extlinux-{install,update} legacy symlinks to
    {install,update}-extlinux.
  * Removing superfluous default entry in linux.cfg (Closes: #609303).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 08 Jan 2011 14:19:23 +0100

syslinux (2:4.03+dfsg-5) experimental; urgency=low

  * Adding memdisk support for images stored in /boot.
  * Prefixing internal linux labels with 'l' for consistency.
  * Failing earlier in extlinux-install when user has not specified a
    device to install.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 07 Jan 2011 13:21:13 +0100

syslinux (2:4.03+dfsg-4) experimental; urgency=low

  * Adding Italian debconf translations from Enrico Rossi
    <e.rossi@tecnobrain.com> (Closes: #607768).
  * Using breaks instead of conflicts in control, since this version is
    for wheezy (and squeeze-backports), so no need for lenny compat
    anymore.
  * Simplyfing extlinux postinst script.
  * Adding a missing escaping of a hyphen in extlinux-install manpage.
  * Updating source lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 22 Dec 2010 23:35:29 +0100

syslinux (2:4.03+dfsg-3) experimental; urgency=low

  * Correcting mistake imported by me in extlinux-update when adapting
    Michaels patch for the update function.
  * Removing unneeded REAMDE.source and headers in copyright file.
  * Simplyfing make handing in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 22:14:53 +0100

syslinux (2:4.03+dfsg-2) experimental; urgency=low

  [ Daniel Baumann ]
  * Using tmpfiles when creating configuration files in extlinux-update
    (Closes: #607516).
  * Applying modified patch from Michael Tokarev <mjt@tls.msk.ru> to not
    use tmpfiles but rather update in one go, updated to match existing
    codying style.

  [ Michael Tokarev ]
  * Exiting early in extlinux-update if disabled.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 18:51:53 +0100

syslinux (2:4.03+dfsg-1) experimental; urgency=low

  * Merging upstream version 4.03+dfsg.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).
  * Correcting typo in extlinux-update manpage, thanks to Jakub Wilk
    <jwilk@debian.org> (Closes: #603739).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 17:17:23 +0100

syslinux (2:4.02+dfsg-7) unstable; urgency=medium

  [ Otavio Salvador ]
  * Unconditionally redirect stdout to stderr (Closes: #597132).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 14 Oct 2010 23:12:13 +0200

syslinux (2:4.02+dfsg-6) unstable; urgency=medium

  [ Otavio Salvador ]
  * Adding lacking exec in stdout to stderr redirection (Closes:
    #597132).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 11 Oct 2010 23:17:38 +0200

syslinux (2:4.02+dfsg-5) unstable; urgency=medium

  * Updating to standards version 3.9.1.
  * Making sure that readlink in extlinux-update doesn't return 1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 26 Sep 2010 09:26:22 +0200

syslinux (2:4.02+dfsg-4) unstable; urgency=medium


