## syslinux 4.04+dfsg

=== debian/changelog ===
syslinux (2:4.04+dfsg-1ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 12:14:15 +0100

syslinux (2:4.04+dfsg-1) unstable; urgency=low

  * Merging upstream version 4.04+dfsg.
  * Removing pxelinux.patch, included upstream.
  * Updating to standards version 3.9.2.
  * Updating year in copyright file.
  * Correcting MBR size to the actual value (440), thanks to Kolja Nowak
    <kolja@nowak2000.de> (Closes: #614686).
  * Skipping files matching '^initrd.*' from automatically being added
    as memdisk entries (Closes: #618442).
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #621022).
  * Adding isolinux quiet flavour.
  * Adding patch from Salvatore Bonaccorso <carnil@debian.org> to use
    use Digest::SHA for utils/sha1pass (Closes: #625812).
  * Updating recommends on libdigest-sha-perl.
  * Disabling diag/geodsp temporariily, it currently fails to build.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 May 2011 09:44:07 +0200

syslinux (2:4.03+dfsg-12ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 May 2011 17:21:26 +0100

syslinux (2:4.02+dfsg-7ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Add include and menu include support.
      + Fix buffer overrun when loading kernel/initramfs.
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 16 Oct 2010 17:19:35 +0100

syslinux (2:4.02+dfsg-6ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - gfxboot module:
      + Add include and menu include support.
      + Fix buffer overrun when loading kernel/initramfs.
      + Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Oct 2010 13:34:15 +0100

syslinux (2:4.01+dfsg-3ubuntu1) maverick; urgency=low

  * Unexport LDFLAGS in debian/rules in case it was passed by
    dpkg-buildflags (the LDFLAGS there is expected to be passed to gcc, not
    ld; thanks, Vladimir Ushakov).
  * gfxboot module:
    - Add include and menu include support.
    - Fix buffer overrun when loading kernel/initramfs.
    - Allow boot entry to start with label instead of menu_label.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Jul 2010 14:26:52 +0100
