=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: syslinux
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
  debhelper (>= 8), gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm, python
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://syslinux.zytor.com/
 
 Package: syslinux
@@ -38,7 +39,7 @@
 Depends: ${misc:Depends}
 Breaks: syslinux (<< ${source:Version})
 Replaces: syslinux
-Recommends: libcrypt-passwdmd5-perl, libdigest-sha1-perl
+Recommends: libcrypt-passwdmd5-perl, libdigest-sha-perl
 Description: collection of boot loaders (common files)
  SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
  btrfs filesystems, MS-DOS FAT filesystems, network servers using PXE firmware,
