## syslinux 4.05

=== debian/changelog ===
syslinux (2:4.05) unstable; urgency=low

  * Update to 4.05

 -- Gui Chen <gui.chen@intel.com> Wed, 11 Jul 2012 10:56:32 +0100

syslinux (3:4.04) unstable; urgency=low

  * Update to 4.04

 -- Gui Chen <gui.chen@intel.com> Mon, 06 Feb 2012 10:56:32 +0100

syslinux (2:4.02) unstable; urgency=low

  * Update to 2:4.02

 -- Yi Yang <yi.y.yang@intel.com>  Fri, 23 Jul 2010 09:47:32 +0100

syslinux (4.00) unstable; urgency=low

  * Update to 4.00

 -- Yi Yang <yi.y.yang@intel.com>  Tue, 29 Jun 2010 10:47:32 +0100

syslinux (4.00~pre45) unstable; urgency=low

  * Update to 4.00 pre release for test

 -- Yi Yang <yi.y.yang@intel.com>  Wed, 19 May 2010 13:39:32 +0100

syslinux (3.85) unstable; urgency=low

  * first cut

 -- Yi Yang <yi.y.yang@intel.com>  Tue, 23 Feb 2010 13:39:32 +0100
