=== debian/control ===
Source: syslinux
Section: utils
Priority: optional
Maintainer: Gui Chen <gui.chen@intel.com>
Build-Depends: debhelper (>= 6), dpatch, python, mtools, gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm (>= 0.99.06), perl, uuid-dev
Standards-Version: 3.7.2
Homepage: http://syslinux.zytor.com/

Package: syslinux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mtools
Recommends: mtools
Conflicts: extlinux
Description: Bootloader for Linux/i386 using MS-DOS floppies
 SYSLINUX is a boot loader for the Linux/i386 operating system which operates
 off an MS-DOS/Windows FAT filesystem. It is intended to simplify first-time
 installation of Linux, and for creation of rescue and other special-purpose
 boot disks.
 .
 It can also be used as a PXE bootloader during network boots.
 .
 SYSLINUX is probably not suitable as a general purpose boot loader. However,
 SYSLINUX has shown itself to be quite useful in a number of special-purpose
 applications.
