=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make
unexport LDFLAGS

upstream:
	rm -f doc/rfc5071.txt

build: build-stamp
build-stamp: patch-stamp
	dh_testdir

	# Building package
	make clean
	make installer
	make -C sample tidy

	# Building images
	install -d -m 0755 build

	for SIZE in 720 1200 1440 1743; \
	do \
		dd if=/dev/zero of=build/img$${SIZE}k bs=1k count=$$SIZE || exit 1; \
	done

	for DRIVE in a: b: c: d:;\
	do \
		MTOOLSRC=debian/config/mtoolsrc mformat $$DRIVE || exit 1; \
	done

	for SIZE in 720 1200 1440 1743; \
	do \
		mtools/syslinux --stupid build/img$${SIZE}k || exit 1; \
	done

	gzip -9 build/*

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f .depend memdisk/.depend
	rm -f dos/syslinux.com extlinux.bin extlinux.bss extlinux.sys isolinux-debug.bin isolinux.bin ldlinux.bin ldlinux.bss ldlinux.sys memdisk/memdisk memdump/memdump.com pxelinux.0
	rm -rf build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	install -d -m 0755 debian/syslinux/usr/bin
	install -m 0755 utils/gethostip utils/isohybrid utils/keytab-lilo utils/lss16toppm utils/md5pass utils/mkdiskimage utils/ppmtolss16 utils/pxelinux-options utils/sha1pass utils/syslinux2ansi mtools/syslinux extlinux/extlinux debian/syslinux/usr/bin

	install -d -m 0755 debian/syslinux/usr/lib/syslinux
	install -m 0644 build/* debian/syslinux/usr/lib/syslinux

	install -m 0644 dosutil/copybs.com core/isolinux.bin core/isolinux-debug.bin core/ldlinux.bss core/ldlinux.sys core/pxelinux.0 com32/modules/*.c32 com32/menu/*.c32 mbr/mbr.bin debian/syslinux/usr/lib/syslinux

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
