=== debian/changelog ===
syslinux (3:4.05+dfsg-6+deb8u1) unstable; urgency=low

  * Applying patch from Tom Jampen <jampen@cryptography.ch> to add a
    workaround in root device detection of extlinux' postinst for bugs in
    df (see #656067 and #656333) in connection with UUIDs.
  * Using findmnt instead of df-parsing in extlinux.postinst to find root
    partition, thanks to Marcin Szewczyk <debian.bugreport@wodny.org>
    (Closes: #670515).
  * Adding patch from upstream to fix build with newer gcc.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 21 Nov 2013 08:26:40 +0100

syslinux (3:4.05+dfsg-6+deb7u3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Jun 2013 11:44:36 +0200

syslinux (3:4.05+dfsg-6+deb7u2) unstable; urgency=low

  * Reuploading to unstable (Closes: #699382, #699596, #699742, #699808,
    #699884, #699890).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Feb 2013 15:43:56 +0100

syslinux (2:4.05+dfsg-6+deb7u1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Upload to testing for wheezy.
  * Correctly update syslinux debian themes in extlinux-update
    (Closes: #687848).

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 10 Dec 2012 12:48:40 +0100

syslinux (2:4.05+dfsg-6) unstable; urgency=low

  * Using official package-type for udeb packages in control now.
  * Switching to xz compression.
  * Updating todo file.
  * Making some editorial changes in copyright file.
  * Adding copyright headers in local debian additions.
  * Adding patch from Andy Whitcroft <apw@canonical.com> to fix FTBFS
    with 3.4.x kernels (Closes: #676405).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 14:11:21 +0200

syslinux (2:4.05+dfsg-5) unstable; urgency=low

  * Adding patch to add alternative locations in for configuration files
    for the bootloader configuration.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 May 2012 06:46:15 +0200

syslinux (2:4.05+dfsg-4) unstable; urgency=low

  * Updating compression handling for udeb with newer debhelper.
  * Build-depending on gcc-4.6 for the time being in order to avoid
    miscompiling default gcc-4.7 (Closes: #672520).
  * Removing bootloader configuration files for extlinux in postrm when
    purging package (Closes: #672380).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 18 May 2012 09:11:09 +0200

syslinux (2:4.05+dfsg-3) unstable; urgency=low

  * Updating todo file.
  * Cherry-picking patch from Matthew Garrett <mjg@redhat.com> for
    isohybrid to generate MBR even when in EFI mode.
  * Only omitting intended ms-dos executables, not a few additional c32
    modules too (Closes: #663302).
  * Adding Indonesian debconf translations from Kurniawan Haikal
    <conecones@gmail.com> (Closes: #658512).
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Adding NTFS in package descriptions.
  * Adding recommends to os-prober to extlinux.
  * Polish indenting in readme.
  * Correcting email address in previous changelog entry.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 08 May 2012 15:31:06 +0200

syslinux (2:4.05+dfsg-2) unstable; urgency=low

  * Adding patch from Micah Gersten <micahg@ubuntu.com> to fix FTBFS
    with --as-needed (Closes: #654838).
  * Switching to numeric (reverse) sorting in extlinux-update, thanks to
    Thomas Viehweger <patchesThomas.Vie@web.de> (Closes: #657671).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 27 Jan 2012 22:32:28 +0100

syslinux (2:4.05+dfsg-1) unstable; urgency=low

  * Merging upstream version 4.05+dfsg:
    - compatible with gfxboot 4.4 (Closes: #653048).
  * Rediffing ldlinux-quiet.patch.
  * Removing geometrie.patch, included upstream.
  * Removing isohybrid-gpt.patch, included upstream.
  * Rediffing gfxboot-menu-label.patch.
  * Renumbering patches.
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #652626).
  * Moving mtools from suggests to recommends (Closes: #651028).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 23 Dec 2011 14:08:52 +0100

syslinux (2:4.04+dfsg-9) unstable; urgency=low

  * Using linux keyword for linux kernel images to profit from syslinux'
    automagic (Closes: #647603).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Nov 2011 11:20:58 +0100

syslinux (2:4.04+dfsg-8) unstable; urgency=low

  * Updating accidentally my wrong email address in previous changelog
    entry.
  * Updating isohybrid-gpt.patch to not fail with --as-needed, thanks to
    Colin Watson <cjwatson@ubuntu.com> (Closes: #648727).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Nov 2011 23:39:16 +0100

syslinux (2:4.04+dfsg-7) unstable; urgency=low

  * Adding Slovak debconf translations from Slavko <linux@slavino.sk>
    (Closes: #647086).
  * Adding patch from Colin Watson <cjwatson@ubuntu.com> to gfxboot.c32
    to allow boot entry to start with label instead of menu_label.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 02 Nov 2011 07:57:23 +0100

syslinux (2:4.04+dfsg-6) unstable; urgency=low

  * Adding patch from Matthew Garrett <mjg59@srcf.ucam.org> to generate
    GPT and Mac bootable images isohybrid images.
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 28 Oct 2011 22:28:55 +0200

syslinux (2:4.04+dfsg-5) unstable; urgency=low

  * Adding patch from Gene Cumm <gene.cumm@gmail.com> to fix geometry
    handling in extlinux (Closes: #626488).
  * Using compression level 9 also for binary packages.
  * Adding patch to make ldlinux quiet by default.
  * Adding patch to add option to enable verbose messages.
  * Renumbering patches.
  * Making isolinux quiet by default and dropping dedicated quiet
    flavour.
  * Making pxelinux quiet by default and dropping dedicated quiet
    flavour.


