=== debian/control ===
Source: syslinux
Section: utils
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9), e2fslibs-dev, gcc-multilib [amd64],
 libc6-dev-i386 [amd64], nasm, python, uuid-dev
Standards-Version: 3.9.3
Homepage: http://syslinux.zytor.com/

Package: syslinux
Architecture: amd64 i386
Depends:
 ${misc:Depends}, ${shlibs:Depends}, syslinux-common (= ${binary:Version}),
Breaks: syslinux-common (<< ${source:Version})
Replaces: syslinux-common
Recommends: mtools
Suggests: dosfstools, os-prober
Description: collection of boot loaders
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
 firmware, or from CD-ROMs.

Package: syslinux-udeb
Package-Type: udeb
Architecture: amd64 i386
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of boot loaders

Package: extlinux
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: syslinux (<< ${source:Version})
Replaces: syslinux
Recommends: syslinux-common, syslinux-themes-debian, os-prober
Description: collection of boot loaders (ext2/3/4 and btrfs bootloader)
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
 firmware, or from CD-ROMs.
 .
 This package contains the ext2/3/4 and btrfs bootloader.

Package: syslinux-common
Architecture: all
Depends: ${misc:Depends}
Breaks: syslinux (<< ${source:Version})
Replaces: syslinux
Recommends: libcrypt-passwdmd5-perl, libdigest-sha-perl
Description: collection of boot loaders (common files)
 SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
 btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
 firmware, or from CD-ROMs.
 .
 This package contains common files.
