## syslinux 4.06+dfsg

=== debian/changelog ===
syslinux (2:4.06+dfsg-1.drbl2) unstable; urgency=low

  * Removing xz option in rules. For compatable with older version of dpkg.
    Thanks to tixetsal for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 13:26:01 +0800

syslinux (2:4.06+dfsg-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Nov 2012 16:29:05 +0800

syslinux (2:4.06+dfsg-1) unstable; urgency=low

  * Updating upstream URLs.
  * Updating todo file.
  * Merging upstream version 4.06+dfsg.
  * Removing as-needed.patch, included upstream.
  * Removing efi-mbr.patch, included upstream.
  * Removing ext2-header.patch, included upstream.
  * Renumbering patches.
  * Updating conffiles.patch to make extlinux add /boot/extlinux and
    /extlinux directories for bootloader configuration files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 01 Nov 2012 15:59:34 +0100
