=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: syslinux
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
- debhelper (>= 9), e2fslibs-dev, gcc-multilib [amd64],
+ debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
  libc6-dev-i386 [amd64], nasm, python, uuid-dev
 Standards-Version: 3.9.3
-Homepage: http://syslinux.zytor.com/
+Homepage: http://www.syslinux.org/
 
 Package: syslinux
 Architecture: amd64 i386
