=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	rm -f doc/rfc5071.txt
 
 override_dh_auto_build:
-	dh_auto_build -- DATE="$(DATE)" VERSION="$(VERSION)"
+	dh_auto_build -- CC=/usr/bin/gcc-4.6 DATE="$(DATE)" VERSION="$(VERSION)"
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -35,7 +35,7 @@
 	done
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb
 
 override_dh_install:
 	dh_install --fail-missing
