## syslinux 5.01+dfsg

=== debian/changelog ===
syslinux (2:5.01+dfsg-1) unstable; urgency=low

  * Merging upstream version 5.01+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 31 Jan 2013 11:24:05 +0100

syslinux (2:5.00+dfsg-1) unstable; urgency=low

  * Merging upstream version 5.00+dfsg.
  * Removing Otavio from uploaders with his consent.
  * Updating to standards version 3.9.4.
  * Updating years in copyright file.
  * Dropping dpkg-source compression levels.
  * Rediffing isolinux-quiet.patch.
  * Rediffing pxelinux-quiet.patch.
  * Rediffing ldlinux-quiet.patch.
  * Renaming patches with 4 digit prefix.
  * Tightening diff headers.
  * Using findmnt instead of df-parsing in extlinux.postinst to find root
    partition, thanks to Marcin Szewczyk <debian.bugreport@wodny.org>
    (Closes: #670515).
  * Including gptmbr.bin in extlinux and syslinux-udeb too in preparation
    for gpt support in distribution scripts.
  * Adding initial support for gpt in extlinux distribution scripts
    (Closes: #630922).
  * Updating date and version headers in local files.
  * Updating lintian overrides.
  * Removing extra license file for logo.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 28 Jan 2013 09:08:40 +0100

syslinux (2:4.06+dfsg-3) unstable; urgency=low

  * Allowing to overwrite symlinks in extlinux-update, thanks to Ivo De
    Decker <ivo.dedecker@ugent.be> (Closes: #687848).
  * Adding patch to update list of supported filesystems in extlinux
    manpage (Closes: #692844).
  * Adding missing support for menu default handling (Closes: #691644).
  * Updating date and version headers in local manpages.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 05 Dec 2012 12:40:43 +0100

syslinux (2:4.06+dfsg-2) unstable; urgency=low

  * Applying patch from Tom Jampen <jampen@cryptography.ch> to add a
    workaround in root device detection of extlinux' postinst for bugs
    in df (see #656067 and #656333) in connection with UUIDs.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Nov 2012 12:30:29 +0100
