=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
  libc6-dev-i386 [amd64], nasm, python, uuid-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.syslinux.org/
 
 Package: syslinux
@@ -21,13 +20,6 @@
  SYSLINUX is a collection of boot loaders which operates off Linux ext2/3/4 or
  btrfs filesystems, FAT and NTFS filesystems, network servers using PXE
  firmware, or from CD-ROMs.
-
-Package: syslinux-udeb
-Package-Type: udeb
-Architecture: amd64 i386
-Section: debian-installer
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: collection of boot loaders
 
 Package: extlinux
 Architecture: amd64 i386
