=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,13 @@
 	done
 
 override_dh_builddeb:
-	dh_builddeb
+	dh_builddeb -- -Zxz
+
+override_dh_installdocs:
+	dh_installdocs
+
+	# removing other unwanted files
+	rm -f debian/syslinux-common/usr/share/doc/syslinux/logo/LICENSE
 
 override_dh_install:
 	dh_install --fail-missing
