## syslinux 5.10+drbl

=== debian/changelog ===
syslinux (2:5.10+drbl-1) unstable; urgency=low

  * New upstream.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 04 Jul 2013 10:07:38 +0800
