=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 9), e2fslibs-dev, gcc-4.6, gcc-multilib [amd64],
- libc6-dev-i386 [amd64], nasm, python, uuid-dev
+ libc6-dev-i386 [amd64], nasm, python, uuid-dev, upx
 Standards-Version: 3.9.4
 Homepage: http://www.syslinux.org/
