=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 
 	rm -f core/.depend memdisk/.depend
 	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com
+	make -C txt spotless
 
 override_dh_auto_install:
 	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/tmp
