## syslinux 6.02~pre16+dfsgreally4.05+dfsg

=== debian/changelog ===
syslinux (3:6.02~pre16+dfsgreally4.05+dfsg-0tanglu1) staging; urgency=low

  * Force-downgrade to 4.05 as 6 isn't supported by live-build yet

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Sep 2013 21:43:55 +0200
